%define anolis_release 2

Name:           pyxattr
Summary:        Extended attributes library wrapper for Python
Version:        0.8.0
Release:        %{anolis_release}%{?dist}
License:        LGPLv2+
URL:            https://pyxattr.k1024.org/
Source0:        %{URL}/downloads/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libattr-devel
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  %{py3_dist pytest}

%global _description %{expand:
Python extension module wrapper for libattr. It allows to query, list,
add and remove extended attributes from files and directories.}

%description %_description

%package -n python3-%{name}
Summary: %{summary}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name} %_description

%package -n python3-%{name}-doc
Summary: Doc files for python3-%{name}
Requires: python3-%{name} = %{EVR}
BuildArch: noarch

%description -n python3-%{name}-doc
Doc files for python3-%{name}

%prep
%autosetup

%build
%py3_build

%install
%py3_install

%check
# selinux in koji produces unexpected xattrs for tests
export TEST_IGNORE_XATTRS=security.selinux
# the module is just a C extension => need to add the installed destination to
# PYTHONPATH, otherwise it won't be found
export PYTHONPATH=%{buildroot}%{python3_sitearch}:$PYTHONPATH
python3 -m pytest tests

%files -n python3-%{name}
%{python3_sitearch}/xattr.cpython-%{python3_version_nodots}*
%{python3_sitearch}/*egg-info
%license COPYING

%files -n python3-%{name}-doc
%doc NEWS README.md

%changelog
* Mon Mar 11 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.8.0-2
- Rebuild with python3.11

* Fri Mar 24 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.8.0-1
- init from upstream
